Name: tendrl-gluster-integration
Version: 1.6.3
Release: 17%{?dist}
BuildArch: noarch
Summary: Module for Gluster Integration
Source0: %{name}-%{version}.tar.gz
License: LGPLv2+
URL: https://github.com/Tendrl/gluster-integration

BuildRequires: systemd
BuildRequires: python2-devel
BuildRequires: pytest

Requires: glusterfs-events
Requires: tendrl-commons
Requires: systemd
Requires: python-flask
Requires: python-cherrypy
Requires: python-paste

Patch0001: 0001-Use-cherrypy-for-gluster-native-events-webhook.patch
Patch0002: 0002-Update-gluster_native_message_handler.py.patch
Patch0003: 0003-Update-setup.py.patch
Patch0004: 0004-Update-tendrl-gluster-integration.spec.patch
Patch0005: 0005-Fixed-PEP-8-errors.patch
Patch0006: 0006-Changed-to-log-the-error-as-info-if-profile-flag-set.patch
Patch0007: 0007-Update-gluster_native_message_handler.py.patch
Patch0008: 0008-Dont-set-cluster-level-profiling-flag-if-volume-leve.patch
Patch0009: 0009-Brick-details-are-not-displayed-in-UI.patch
Patch0010: 0010-Sometimes-brick-details-are-not-shown-in-UI.patch
Patch0011: 0011-Fixed-an-exception-while-stopping-the-service.patch
Patch0012: 0012-Multiple-peer-connected-events-when-new-peer-probe-i.patch
Patch0013: 0013-When-child-job-fails-in-provisioner-node-then-other-.patch
Patch0014: 0014-Cluster-status-related-alert-notification-use-integr.patch
Patch0015: 0015-Sometimes-volume-alert-raise-with-name-None.patch
Patch0016: 0016-Creating-native-message-handler-object-after-integra.patch
Patch0017: 0017-After-node-up-peer-alert-is-not-replaced-by-clearing.patch
Patch0018: 0018-Improve-gluster-integration-sync-execution-performan.patch
Patch0019: 0019-Raise-the-volume-state-alert-only-if-its-not-unknown.patch
Patch0020: 0020-Volume-alert-raised-with-volume-name-None.patch
Patch0021: 0021-Adjusting-volume-TTL-value.patch
Patch0022: 0022-Invoke-volume-utilization-calculation-as-subprocess.patch
Patch0023: 0023-Fixed-GeoReplicationSession-field-reference.patch
Patch0024: 0024-Adding-integration_id-in-GeoReplicationSession-objec.patch
Patch0025: 0025-Fix-cluster-object-race-condition-issue.patch
Patch0026: 0026-Raising-svc_connected-and-svc_disconnected-for-all-n.patch
Patch0027: 0027-Fixing-issue-Volume-Capacity-Utilization-not-working.patch
Patch0028: 0028-Fixing-issue-Volume-Capacity-Utilization-not-working.patch
Patch0029: 0029-Fixed-Volume-Utilization-calculation-for-multiple-vo.patch
Patch0030: 0030-Removing-volume-profile-enable-and-disable-logic-fro.patch
Patch0031: 0031-Fixing-pep8-issue.patch
Patch0032: 0032-Removing-python-blivet-dependency.patch
Patch0033: 0033-Removing-python-blivet-dependency.patch
Patch0034: 0034-Modified-lvs-calculation-logic-to-per-sync.patch
Patch0035: 0035-Import-fails-when-one-or-more-storage-nodes-does-not.patch
Patch0036: 0036-Pep8-fix.patch
Patch0037: 0037-Blocking-gluster-integration-sync-when-gluster-integ.patch
Patch0038: 0038-Processing-split-brain-related-events-based-on-clien.patch

%description
Python module for Tendrl gluster bridge to manage gluster tasks.

%prep
%setup
%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1

# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%{__python} setup.py build

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
install -m  0755  --directory $RPM_BUILD_ROOT%{_sysconfdir}/tendrl/gluster-integration
install -Dm 0644 tendrl-gluster-integration.service $RPM_BUILD_ROOT%{_unitdir}/tendrl-gluster-integration.service
install -Dm 0644 etc/tendrl/gluster-integration/gluster-integration.conf.yaml.sample $RPM_BUILD_ROOT%{_datadir}/tendrl/gluster-integration/gluster-integration.conf.yaml
install -Dm 644 etc/tendrl/gluster-integration/*.sample $RPM_BUILD_ROOT%{_datadir}/tendrl/gluster-integration/

%post
systemctl enable tendrl-gluster-integration >/dev/null 2>&1 || :
%systemd_post tendrl-gluster-integration.service

%preun
%systemd_preun tendrl-gluster-integration.service

%postun
%systemd_postun_with_restart tendrl-gluster-integration.service

%check
py.test -v tendrl/gluster_integration/tests || :

%files -f INSTALLED_FILES
%dir %{_sysconfdir}/tendrl/gluster-integration
%doc README.rst
%license LICENSE
%config %{_datadir}/tendrl/gluster-integration/gluster-integration.conf.yaml
%{_unitdir}/tendrl-gluster-integration.service
%{_datadir}/tendrl/gluster-integration


%changelog
* Thu May 16 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-17
- Fixed bugs: 1666386
- Release tendrl-gluster-integration 1.6.3-17

* Thu May 16 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-16
- Fixed bugs: 1645221
- Release tendrl-gluster-integration 1.6.3-16

* Thu Feb 28 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-15
- Fixed bugs: 1683603
- Release tendrl-gluster-integration 1.6.3-15

* Fri Feb 08 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-14
- Fixed bugs: 1637977,1655420
- Release tendrl-gluster-integration 1.6.3-14

* Mon Nov 05 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-13
- Fixed bugs: 1641413
- Release tendrl-gluster-integration 1.6.3-13

* Sat Sep 22 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-12
- Fixed bugs: 1628878
- Release tendrl-gluster-integration 1.6.3-12

* Fri Sep 21 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-11
- Fixed bugs: 1628878
- Release tendrl-gluster-integration 1.6.3-11

* Mon Aug 20 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-10
- Fixed bugs: 1616208,1616215
- Release tendrl-gluster-integration 1.6.3-10

* Thu Aug 02 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-9
- Fixed bugs: 1596655
- Release tendrl-gluster-integration 1.6.3-9

* Sun Jul 29 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-8
- Fixed bugs: 1603175
- Release tendrl-gluster-integration 1.6.3-8

* Mon Jul 16 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-7
- Fixed bugs: 1599987
- Release tendrl-gluster-integration 1.6.3-7

* Thu Jul 05 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-6
- Fixed bugs: 1595295,1596820,1596862
- Release tendrl-gluster-integration 1.6.3-6

* Mon Jun 18 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-5
- Fixed bugs: 1519201,1588440
- Release tendrl-gluster-integration 1.6.3-5

* Fri Jun 01 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-4
- Fixed bugs: 1570048,1571755,1578329,1578333,1579937,1581324
- Release tendrl-gluster-integration 1.6.3-4

* Thu May 17 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-3
- Fixed bugs: 1576794,1577228
- Release tendrl-gluster-integration 1.6.3-3

* Fri Apr 20 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-2
- Release tendrl-gluster-integration 1.6.3-2

* Thu Apr 19 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-1
- Release tendrl-gluster-integration 1.6.3-1

* Mon Apr 02 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.1-3
- Fixed bugs: 1559362, 1559364, 1559365, 1559399, 1559415
- Release tendrl-gluster-integration 1.6.1-3

* Thu Mar 27 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.1-2
- Fixed bugs: 1516417, 1531139
- Release tendrl-gluster-integration 1.6.1-2

* Thu Mar 08 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.1-1
- Release tendrl-gluster-integration 1.6.1-1

* Mon Dec 11 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-14
- Release tendrl-gluster-integration 1.5.4-14

* Fri Dec 08 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-13
- Release tendrl-gluster-integration 1.5.4-13

* Thu Dec 07 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-12
- Release tendrl-gluster-integration 1.5.4-12

* Thu Dec 07 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-11
- Release tendrl-gluster-integration 1.5.4-11

* Tue Dec 05 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-9
- Release tendrl-gluster-integration 1.5.4-9

* Fri Dec 01 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-8
- Release tendrl-gluster-integration 1.5.4-8

* Thu Nov 30 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-7
- Release tendrl-gluster-integration 1.5.4-7

* Mon Nov 27 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-6
- Release tendrl-gluster-integration 1.5.4-6

* Fri Nov 24 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-5
- Release tendrl-gluster-integration 1.5.4-5

* Tue Nov 21 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-4
- Release tendrl-gluster-integration 1.5.4-4

* Sat Nov 18 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-3
- Release tendrl-gluster-integration 1.5.4-3

* Fri Nov 10 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-2
- Release tendrl-gluster-integration 1.5.4-2

* Fri Nov 03 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-1
- Release tendrl-gluster-integration 1.5.4-1

* Fri Oct 13 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-2
- BugFixes for tendrl-gluster-integration 1.5.3-2

* Thu Oct 12 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-1
- Release tendrl-gluster-integration 1.5.3-1

* Mon Jun 19 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.7
- Release tendrl-gluster-integration 3.0-alpha.7

* Thu Jun 08 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.6
- Release tendrl-gluster-integration 3.0-alpha.6

* Mon Jun 05 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.5
- Release tendrl-gluster-integration 3.0-alpha.5
- BZ# 1458750

* Fri Jun 02 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.4
- Release tendrl-gluster-integration 3.0-alpha.4

* Fri May 26 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.3
- Release tendrl-gluster-integration 3.0-alpha.3

* Thu May 25 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.2
- Release tendrl-gluster-integration 3.0-alpha.2

* Sat May 20 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.1
- Release tendrl-gluster-integration 3.0-alpha.1

* Thu May 18 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha
- Release tendrl-gluster-integration 3.0-alpha

* Wed May 17 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.2.3-1
- Release tendrl-gluster-integration v1.2.3

* Mon Oct 24 2016 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 0.0.1-1
- Initial build.
